PlatformResource (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.PlatformResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PlatformResource

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIPlatformValue
              org.hyperic.hq.product.PlatformResource

All Implemented Interfaces:
  java.io.Serializable

    public class PlatformResource

extends AIPlatformValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.shared.AIPlatformValue
`addedAIIpValues, addedAIServerValues, removedAIIpValues, removedAIServerValues, updatedAIIpValues, updatedAIServerValues`

Constructor Summary
`PlatformResource()`

Method Summary
`void` | `addInterface(java.lang.String address, java.lang.String netmask, java.lang.String mac)`
`void` | `setControlConfig(ConfigResponse config)`
`void` | `setControlConfig(java.util.Map config)`
`void` | `setCustomProperties(ConfigResponse config)`
`void` | `setCustomProperties(java.util.Map props)`
`void` | `setMeasurementConfig(ConfigResponse config)`
`void` | `setMeasurementConfig(ConfigResponse config, int logTrackLevel, boolean enableConfigTrack)`
`void` | `setMeasurementConfig(java.util.Map config)`
`void` | `setProductConfig(ConfigResponse config)`
`void` | `setProductConfig(java.util.Map config)`

Methods inherited from class org.hyperic.hq.appdef.shared.AIPlatformValue
`addAIIpValue, addAIServerValue, agentTokenHasBeenSet, certdnHasBeenSet, cleanAIIpValue, cleanAIServerValue, controlConfigHasBeenSet, copyAIIpValuesFrom, copyAIServerValuesFrom, cpuCountHasBeenSet, cTimeHasBeenSet, customPropertiesHasBeenSet, descriptionHasBeenSet, diffHasBeenSet, equals, fqdnHasBeenSet, getAddedAIIpValues, getAddedAIServerValues, getAgentToken, getAIIpValues, getAIServerValues, getCertdn, getControlConfig, getCpuCount, getCTime, getCustomProperties, getDescription, getDiff, getFqdn, getId, getIgnored, getLastApproved, getLocation, getMeasurementConfig, getMTime, getName, getPlatformTypeName, getProductConfig, getQueueStatus, getRemovedAIIpValues, getRemovedAIServerValues, getUpdatedAIIpValues, getUpdatedAIServerValues, hashCode, hasIdentity, idHasBeenSet, ignoredHasBeenSet, isIdentical, lastApprovedHasBeenSet, locationHasBeenSet, measurementConfigHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, platformTypeNameHasBeenSet, productConfigHasBeenSet, queueStatusHasBeenSet, removeAIIpValue, removeAIServerValue, removeAllAIIpValues, removeAllAIServerValues, setAgentToken, setCertdn, setControlConfig, setCpuCount, setCTime, setCustomProperties, setDescription, setDiff, setFqdn, setId, setIgnored, setLastApproved, setLocation, setMeasurementConfig, setMTime, setName, setPlatformTypeName, setProductConfig, setQueueStatus, toString, updateAIIpValue, updateAIServerValue`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isPlatformDevice`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformResource

    public PlatformResource()

Method Detail

### addInterface

    public void addInterface(java.lang.String address,
                             java.lang.String netmask,
                             java.lang.String mac)

### setCustomProperties

    public void setCustomProperties(ConfigResponse config)

### setProductConfig

    public void setProductConfig(ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config,
                                     int logTrackLevel,
                                     boolean enableConfigTrack)

### setControlConfig

    public void setControlConfig(ConfigResponse config)

### setProductConfig

    public void setProductConfig(java.util.Map config)

### setMeasurementConfig

    public void setMeasurementConfig(java.util.Map config)

### setControlConfig

    public void setControlConfig(java.util.Map config)

### setCustomProperties

    public void setCustomProperties(java.util.Map props)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.